Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.eclipse.jetty.webapp
Enum FragmentDescriptor.OtherType

    java.lang.Object
      java.lang.Enum<FragmentDescriptor.OtherType>
          org.eclipse.jetty.webapp.FragmentDescriptor.OtherType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<FragmentDescriptor.OtherType>

Enclosing class:
  FragmentDescriptor

    public static enum FragmentDescriptor.OtherType

extends java.lang.Enum<FragmentDescriptor.OtherType>

Enum Constant Summary
`After`
`Before`
`None`

Method Summary
`static FragmentDescriptor.OtherType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static FragmentDescriptor.OtherType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### None

    public static final FragmentDescriptor.OtherType None

### Before

    public static final FragmentDescriptor.OtherType Before

### After

    public static final FragmentDescriptor.OtherType After

Method Detail

### values

    public static FragmentDescriptor.OtherType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FragmentDescriptor.OtherType c : FragmentDescriptor.OtherType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FragmentDescriptor.OtherType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.